﻿@using Newtonsoft.Json;
@{
    Layout = "_LayoutBase.cshtml";
}

<div class="container">
    <partial name="_CookieConsentPartial" /> @*TODO: Move to layoutbase?*@

    @{
        var messages = TempData["Messages"] as IList<string>;
        if (messages != null)
        {
            foreach (var messageJson in messages)
            {
                var message = JsonConvert.DeserializeObject<MessageViewModel>(messageJson);
                var messageAlertClass = message.Type switch
                {
                    MessageType.Success => "success",
                    MessageType.Error => "danger",
                    MessageType.Warning => "warning",
                    _ => throw new NotImplementedException()
                };
                <div class="alert alert-@(messageAlertClass) alert-dismissible fade show" role="alert">
                    <h4 class="alert-heading">@message.Title</h4>
                    <p>@message.Text</p>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            }
        }
    }

    <main role="main" class="pb-3">
        @RenderBody()
    </main>
</div>

<footer class="border-top footer text-muted">
    <div class="container">
        <a href="mailto:webmaster@siteguide.org.au">Webmaster</a> | <a asp-area="" asp-controller="Home" asp-action="Disclaimer">Disclaimer</a>
    </div>
</footer>

@section scripts{
    @RenderSection("Scripts", required: false)
    }